# Uzbek

@Serializable(with = IetfLangSerializer::class )
sealed interface Uzbek : IetfLang (source)

#### Inheritors

Arab
Cyrl
Latn
Companion

## Types

Arab
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface Arab : IetfLang.Uzbek
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Uzbek
Cyrl
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface Cyrl : IetfLang.Uzbek
Latn
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface Latn : IetfLang.Uzbek

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale